Check Point Advisories

McAfee Web Reporter JBoss EJBInvokerServlet Marshalled Object Code Execution - ver 2 (CVE-2013-4810)

Check Point Reference: CPAI-2013-3503
Date Published: 27 Oct 2013
Severity: Critical
Last Updated: 22 Apr 2018
Source:
Industry Reference:CVE-2013-4810
Protection Provided by:

Security Gateway
R80, R77, R75

Who is Vulnerable?
Vulnerability Description A code execution vulnerability has been reported in McAfee Web Reporter due to embedding a vulnerable version of JBoss.
The vulnerability is due to a misconfiguration error when handling certain HTTP requests containing marshalled Java objects.
A remote unauthenticated attacker could exploit this vulnerability to execute arbitrary code on McAfee Web Reporter with a vulnerable version of JBoss.
Successful exploitation could result in arbitrary code being executed in the context of the vulnerable application.

Protection Overview

This protection will detect and block attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update. For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R75

  1. In the IPS tab, click Protections and find the McAfee Web Reporter JBoss EJBInvokerServlet Marshalled Object Code Execution - ver 2 protection using the Search tool and Edit the protection's settings.
  2. Install policy on all Security Gateways.

This protection's log will contain the following information:

Attack Name:  Security Products Enforcement Violation.
Attack Information:  McAfee Web Reporter JBoss EJBInvokerServlet Marshalled Object Code Execution - ver 2

This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO